"Fossies" - the Fresh Open Source Software Archive

Member "gtkdatabox-1.0.0/doc/Makefile.in" (16 Apr 2021, 42095 Bytes) of package /linux/privat/gtkdatabox-1.0.0.tar.gz:


As a special service "Fossies" has tried to format the requested text file into HTML format (style: standard) with prefixed line numbers. Alternatively you can here view or download the uninterpreted source code file.

    1 # Makefile.in generated by automake 1.16.1 from Makefile.am.
    2 # @configure_input@
    3 
    4 # Copyright (C) 1994-2018 Free Software Foundation, Inc.
    5 
    6 # This Makefile.in is free software; the Free Software Foundation
    7 # gives unlimited permission to copy and/or distribute it,
    8 # with or without modifications, as long as this notice is preserved.
    9 
   10 # This program is distributed in the hope that it will be useful,
   11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
   12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
   13 # PARTICULAR PURPOSE.
   14 
   15 @SET_MAKE@
   16 
   17 # -*- mode: makefile -*-
   18 #
   19 # Makefile.am - template makefile for gtk-doc module
   20 # Copyright (C) 2007-2017  Stefan Sauer
   21 #
   22 # This program is free software: you can redistribute it and/or modify
   23 # it under the terms of the GNU General Public License as published by
   24 # the Free Software Foundation, either version 3 of the License, or
   25 # (at your option) any later version.
   26 #
   27 # This program is distributed in the hope that it will be useful,
   28 # but WITHOUT ANY WARRANTY; without even the implied warranty of
   29 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   30 # GNU General Public License for more details.
   31 #
   32 # You should have received a copy of the GNU General Public License
   33 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
   34 #
   35 # As a special exception, the above copyright owner gives unlimited
   36 # permission to copy, distribute and modify this Makefile.am template.
   37 # You need not follow the terms of the GNU General Public License when
   38 # using or distributing such Makefile.am files, even though portions of
   39 # the text of the Makefile.am appear in them. The GNU General Public
   40 # License (GPL) does govern all other use of the material that constitutes
   41 # the Makefile.am template.
   42 
   43 # This is a blank Makefile.am for using gtk-doc.
   44 # Copy this to your project's API docs directory and modify the variables to
   45 # suit your project. See the GTK+ Makefiles in gtk+/docs/reference for examples
   46 # of using the various options.
   47 
   48 # -*- mode: makefile -*-
   49 #
   50 # gtk-doc.make - make rules for gtk-doc
   51 # Copyright (C) 2003 James Henstridge
   52 #               2004-2007 Damon Chaplin
   53 #               2007-2017 Stefan Sauer
   54 #
   55 # This program is free software: you can redistribute it and/or modify
   56 # it under the terms of the GNU General Public License as published by
   57 # the Free Software Foundation, either version 3 of the License, or
   58 # (at your option) any later version.
   59 #
   60 # This program is distributed in the hope that it will be useful,
   61 # but WITHOUT ANY WARRANTY; without even the implied warranty of
   62 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   63 # GNU General Public License for more details.
   64 #
   65 # You should have received a copy of the GNU General Public License
   66 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
   67 
   68 ####################################
   69 # Everything below here is generic #
   70 ####################################
   71 VPATH = @srcdir@
   72 am__is_gnu_make = { \
   73   if test -z '$(MAKELEVEL)'; then \
   74     false; \
   75   elif test -n '$(MAKE_HOST)'; then \
   76     true; \
   77   elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
   78     true; \
   79   else \
   80     false; \
   81   fi; \
   82 }
   83 am__make_running_with_option = \
   84   case $${target_option-} in \
   85       ?) ;; \
   86       *) echo "am__make_running_with_option: internal error: invalid" \
   87               "target option '$${target_option-}' specified" >&2; \
   88          exit 1;; \
   89   esac; \
   90   has_opt=no; \
   91   sane_makeflags=$$MAKEFLAGS; \
   92   if $(am__is_gnu_make); then \
   93     sane_makeflags=$$MFLAGS; \
   94   else \
   95     case $$MAKEFLAGS in \
   96       *\\[\ \	]*) \
   97         bs=\\; \
   98         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
   99           | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
  100     esac; \
  101   fi; \
  102   skip_next=no; \
  103   strip_trailopt () \
  104   { \
  105     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  106   }; \
  107   for flg in $$sane_makeflags; do \
  108     test $$skip_next = yes && { skip_next=no; continue; }; \
  109     case $$flg in \
  110       *=*|--*) continue;; \
  111         -*I) strip_trailopt 'I'; skip_next=yes;; \
  112       -*I?*) strip_trailopt 'I';; \
  113         -*O) strip_trailopt 'O'; skip_next=yes;; \
  114       -*O?*) strip_trailopt 'O';; \
  115         -*l) strip_trailopt 'l'; skip_next=yes;; \
  116       -*l?*) strip_trailopt 'l';; \
  117       -[dEDm]) skip_next=yes;; \
  118       -[JT]) skip_next=yes;; \
  119     esac; \
  120     case $$flg in \
  121       *$$target_option*) has_opt=yes; break;; \
  122     esac; \
  123   done; \
  124   test $$has_opt = yes
  125 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
  126 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
  127 pkgdatadir = $(datadir)/@PACKAGE@
  128 pkgincludedir = $(includedir)/@PACKAGE@
  129 pkglibdir = $(libdir)/@PACKAGE@
  130 pkglibexecdir = $(libexecdir)/@PACKAGE@
  131 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
  132 install_sh_DATA = $(install_sh) -c -m 644
  133 install_sh_PROGRAM = $(install_sh) -c
  134 install_sh_SCRIPT = $(install_sh) -c
  135 INSTALL_HEADER = $(INSTALL_DATA)
  136 transform = $(program_transform_name)
  137 NORMAL_INSTALL = :
  138 PRE_INSTALL = :
  139 POST_INSTALL = :
  140 NORMAL_UNINSTALL = :
  141 PRE_UNINSTALL = :
  142 POST_UNINSTALL = :
  143 build_triplet = @build@
  144 host_triplet = @host@
  145 subdir = doc
  146 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
  147 am__aclocal_m4_deps = $(top_srcdir)/m4/gtk-doc.m4 \
  148 	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
  149 	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
  150 	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/configure.ac
  151 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
  152 	$(ACLOCAL_M4)
  153 DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
  154 mkinstalldirs = $(install_sh) -d
  155 CONFIG_HEADER = $(top_builddir)/config.h
  156 CONFIG_CLEAN_FILES =
  157 CONFIG_CLEAN_VPATH_FILES =
  158 AM_V_P = $(am__v_P_@AM_V@)
  159 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
  160 am__v_P_0 = false
  161 am__v_P_1 = :
  162 AM_V_GEN = $(am__v_GEN_@AM_V@)
  163 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
  164 am__v_GEN_0 = @echo "  GEN     " $@;
  165 am__v_GEN_1 = 
  166 AM_V_at = $(am__v_at_@AM_V@)
  167 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
  168 am__v_at_0 = @
  169 am__v_at_1 = 
  170 SOURCES =
  171 DIST_SOURCES =
  172 am__can_run_installinfo = \
  173   case $$AM_UPDATE_INFO_DIR in \
  174     n|no|NO) false;; \
  175     *) (install-info --version) >/dev/null 2>&1;; \
  176   esac
  177 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
  178 am__tty_colors_dummy = \
  179   mgn= red= grn= lgn= blu= brg= std=; \
  180   am__color_tests=no
  181 am__tty_colors = { \
  182   $(am__tty_colors_dummy); \
  183   if test "X$(AM_COLOR_TESTS)" = Xno; then \
  184     am__color_tests=no; \
  185   elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
  186     am__color_tests=yes; \
  187   elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
  188     am__color_tests=yes; \
  189   fi; \
  190   if test $$am__color_tests = yes; then \
  191     red=''; \
  192     grn=''; \
  193     lgn=''; \
  194     blu=''; \
  195     mgn=''; \
  196     brg=''; \
  197     std=''; \
  198   fi; \
  199 }
  200 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
  201 am__vpath_adj = case $$p in \
  202     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
  203     *) f=$$p;; \
  204   esac;
  205 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
  206 am__install_max = 40
  207 am__nobase_strip_setup = \
  208   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
  209 am__nobase_strip = \
  210   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
  211 am__nobase_list = $(am__nobase_strip_setup); \
  212   for p in $$list; do echo "$$p $$p"; done | \
  213   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  214   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
  215     if (++n[$$2] == $(am__install_max)) \
  216       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
  217     END { for (dir in files) print dir, files[dir] }'
  218 am__base_list = \
  219   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  220   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
  221 am__uninstall_files_from_dir = { \
  222   test -z "$$files" \
  223     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
  224     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
  225          $(am__cd) "$$dir" && rm -f $$files; }; \
  226   }
  227 am__recheck_rx = ^[ 	]*:recheck:[ 	]*
  228 am__global_test_result_rx = ^[ 	]*:global-test-result:[ 	]*
  229 am__copy_in_global_log_rx = ^[ 	]*:copy-in-global-log:[ 	]*
  230 # A command that, given a newline-separated list of test names on the
  231 # standard input, print the name of the tests that are to be re-run
  232 # upon "make recheck".
  233 am__list_recheck_tests = $(AWK) '{ \
  234   recheck = 1; \
  235   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
  236     { \
  237       if (rc < 0) \
  238         { \
  239           if ((getline line2 < ($$0 ".log")) < 0) \
  240 	    recheck = 0; \
  241           break; \
  242         } \
  243       else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
  244         { \
  245           recheck = 0; \
  246           break; \
  247         } \
  248       else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
  249         { \
  250           break; \
  251         } \
  252     }; \
  253   if (recheck) \
  254     print $$0; \
  255   close ($$0 ".trs"); \
  256   close ($$0 ".log"); \
  257 }'
  258 # A command that, given a newline-separated list of test names on the
  259 # standard input, create the global log from their .trs and .log files.
  260 am__create_global_log = $(AWK) ' \
  261 function fatal(msg) \
  262 { \
  263   print "fatal: making $@: " msg | "cat >&2"; \
  264   exit 1; \
  265 } \
  266 function rst_section(header) \
  267 { \
  268   print header; \
  269   len = length(header); \
  270   for (i = 1; i <= len; i = i + 1) \
  271     printf "="; \
  272   printf "\n\n"; \
  273 } \
  274 { \
  275   copy_in_global_log = 1; \
  276   global_test_result = "RUN"; \
  277   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
  278     { \
  279       if (rc < 0) \
  280          fatal("failed to read from " $$0 ".trs"); \
  281       if (line ~ /$(am__global_test_result_rx)/) \
  282         { \
  283           sub("$(am__global_test_result_rx)", "", line); \
  284           sub("[ 	]*$$", "", line); \
  285           global_test_result = line; \
  286         } \
  287       else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
  288         copy_in_global_log = 0; \
  289     }; \
  290   if (copy_in_global_log) \
  291     { \
  292       rst_section(global_test_result ": " $$0); \
  293       while ((rc = (getline line < ($$0 ".log"))) != 0) \
  294       { \
  295         if (rc < 0) \
  296           fatal("failed to read from " $$0 ".log"); \
  297         print line; \
  298       }; \
  299       printf "\n"; \
  300     }; \
  301   close ($$0 ".trs"); \
  302   close ($$0 ".log"); \
  303 }'
  304 # Restructured Text title.
  305 am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
  306 # Solaris 10 'make', and several other traditional 'make' implementations,
  307 # pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
  308 # by disabling -e (using the XSI extension "set +e") if it's set.
  309 am__sh_e_setup = case $$- in *e*) set +e;; esac
  310 # Default flags passed to test drivers.
  311 am__common_driver_flags = \
  312   --color-tests "$$am__color_tests" \
  313   --enable-hard-errors "$$am__enable_hard_errors" \
  314   --expect-failure "$$am__expect_failure"
  315 # To be inserted before the command running the test.  Creates the
  316 # directory for the log if needed.  Stores in $dir the directory
  317 # containing $f, in $tst the test, in $log the log.  Executes the
  318 # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
  319 # passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
  320 # will run the test scripts (or their associated LOG_COMPILER, if
  321 # thy have one).
  322 am__check_pre = \
  323 $(am__sh_e_setup);					\
  324 $(am__vpath_adj_setup) $(am__vpath_adj)			\
  325 $(am__tty_colors);					\
  326 srcdir=$(srcdir); export srcdir;			\
  327 case "$@" in						\
  328   */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;	\
  329     *) am__odir=.;; 					\
  330 esac;							\
  331 test "x$$am__odir" = x"." || test -d "$$am__odir" 	\
  332   || $(MKDIR_P) "$$am__odir" || exit $$?;		\
  333 if test -f "./$$f"; then dir=./;			\
  334 elif test -f "$$f"; then dir=;				\
  335 else dir="$(srcdir)/"; fi;				\
  336 tst=$$dir$$f; log='$@'; 				\
  337 if test -n '$(DISABLE_HARD_ERRORS)'; then		\
  338   am__enable_hard_errors=no; 				\
  339 else							\
  340   am__enable_hard_errors=yes; 				\
  341 fi; 							\
  342 case " $(XFAIL_TESTS) " in				\
  343   *[\ \	]$$f[\ \	]* | *[\ \	]$$dir$$f[\ \	]*) \
  344     am__expect_failure=yes;;				\
  345   *)							\
  346     am__expect_failure=no;;				\
  347 esac; 							\
  348 $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
  349 # A shell command to get the names of the tests scripts with any registered
  350 # extension removed (i.e., equivalently, the names of the test logs, with
  351 # the '.log' extension removed).  The result is saved in the shell variable
  352 # '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
  353 # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
  354 # since that might cause problem with VPATH rewrites for suffix-less tests.
  355 # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
  356 am__set_TESTS_bases = \
  357   bases='$(TEST_LOGS)'; \
  358   bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
  359   bases=`echo $$bases`
  360 RECHECK_LOGS = $(TEST_LOGS)
  361 AM_RECURSIVE_TARGETS = check recheck
  362 TEST_SUITE_LOG = test-suite.log
  363 TEST_EXTENSIONS = @EXEEXT@ .test
  364 am__test_logs1 = $(TESTS:=.log)
  365 am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
  366 TEST_LOGS = $(am__test_logs2:.test.log=.log)
  367 TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
  368 TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
  369 	$(TEST_LOG_FLAGS)
  370 am__set_b = \
  371   case '$@' in \
  372     */*) \
  373       case '$*' in \
  374         */*) b='$*';; \
  375           *) b=`echo '$@' | sed 's/\.log$$//'`; \
  376        esac;; \
  377     *) \
  378       b='$*';; \
  379   esac
  380 am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/gtk-doc.make \
  381 	$(top_srcdir)/test-driver
  382 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
  383 ACLOCAL = @ACLOCAL@
  384 AMTAR = @AMTAR@
  385 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
  386 AR = @AR@
  387 AS = @AS@
  388 AUTOCONF = @AUTOCONF@
  389 AUTOHEADER = @AUTOHEADER@
  390 AUTOMAKE = @AUTOMAKE@
  391 AWK = @AWK@
  392 CAIRO_CFLAGS = @CAIRO_CFLAGS@
  393 CAIRO_LIBS = @CAIRO_LIBS@
  394 CAIRO_REQUIRED = @CAIRO_REQUIRED@
  395 CC = @CC@
  396 CCDEPMODE = @CCDEPMODE@
  397 CFLAGS = @CFLAGS@
  398 CPP = @CPP@
  399 CPPFLAGS = @CPPFLAGS@
  400 CYGPATH_W = @CYGPATH_W@
  401 DATABOX_LT_VERSION = @DATABOX_LT_VERSION@
  402 DATABOX_VERSION = @DATABOX_VERSION@
  403 DEFS = @DEFS@
  404 DEPDIR = @DEPDIR@
  405 DLLTOOL = @DLLTOOL@
  406 DSYMUTIL = @DSYMUTIL@
  407 DUMPBIN = @DUMPBIN@
  408 ECHO_C = @ECHO_C@
  409 ECHO_N = @ECHO_N@
  410 ECHO_T = @ECHO_T@
  411 EGREP = @EGREP@
  412 EXEEXT = @EXEEXT@
  413 FGREP = @FGREP@
  414 GLADE3_CFLAGS = @GLADE3_CFLAGS@
  415 GLADE3_LIBS = @GLADE3_LIBS@
  416 GREP = @GREP@
  417 GTKDOC_CHECK = @GTKDOC_CHECK@
  418 GTKDOC_CHECK_PATH = @GTKDOC_CHECK_PATH@
  419 GTKDOC_DEPS_CFLAGS = @GTKDOC_DEPS_CFLAGS@
  420 GTKDOC_DEPS_LIBS = @GTKDOC_DEPS_LIBS@
  421 GTKDOC_MKPDF = @GTKDOC_MKPDF@
  422 GTKDOC_REBASE = @GTKDOC_REBASE@
  423 GTK_CFLAGS = @GTK_CFLAGS@
  424 GTK_LIBS = @GTK_LIBS@
  425 GTK_REQUIRED = @GTK_REQUIRED@
  426 HTML_DIR = @HTML_DIR@
  427 INSTALL = @INSTALL@
  428 INSTALL_DATA = @INSTALL_DATA@
  429 INSTALL_PROGRAM = @INSTALL_PROGRAM@
  430 INSTALL_SCRIPT = @INSTALL_SCRIPT@
  431 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
  432 LD = @LD@
  433 LDFLAGS = @LDFLAGS@
  434 LIBOBJS = @LIBOBJS@
  435 LIBS = @LIBS@
  436 LIBTOOL = @LIBTOOL@
  437 LIPO = @LIPO@
  438 LN_S = @LN_S@
  439 LTLIBOBJS = @LTLIBOBJS@
  440 LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
  441 MAKEINFO = @MAKEINFO@
  442 MANIFEST_TOOL = @MANIFEST_TOOL@
  443 MKDIR_P = @MKDIR_P@
  444 NM = @NM@
  445 NMEDIT = @NMEDIT@
  446 OBJDUMP = @OBJDUMP@
  447 OBJEXT = @OBJEXT@
  448 OTOOL = @OTOOL@
  449 OTOOL64 = @OTOOL64@
  450 PACKAGE = @PACKAGE@
  451 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
  452 PACKAGE_NAME = @PACKAGE_NAME@
  453 PACKAGE_STRING = @PACKAGE_STRING@
  454 PACKAGE_TARNAME = @PACKAGE_TARNAME@
  455 PACKAGE_URL = @PACKAGE_URL@
  456 PACKAGE_VERSION = @PACKAGE_VERSION@
  457 PANGO_CFLAGS = @PANGO_CFLAGS@
  458 PANGO_LIBS = @PANGO_LIBS@
  459 PANGO_REQUIRED = @PANGO_REQUIRED@
  460 PATH_SEPARATOR = @PATH_SEPARATOR@
  461 PKG_CONFIG = @PKG_CONFIG@
  462 PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
  463 PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
  464 RANLIB = @RANLIB@
  465 SED = @SED@
  466 SET_MAKE = @SET_MAKE@
  467 SHELL = @SHELL@
  468 STRIP = @STRIP@
  469 VERSION = @VERSION@
  470 abs_builddir = @abs_builddir@
  471 abs_srcdir = @abs_srcdir@
  472 abs_top_builddir = @abs_top_builddir@
  473 abs_top_srcdir = @abs_top_srcdir@
  474 ac_ct_AR = @ac_ct_AR@
  475 ac_ct_CC = @ac_ct_CC@
  476 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
  477 am__include = @am__include@
  478 am__leading_dot = @am__leading_dot@
  479 am__quote = @am__quote@
  480 am__tar = @am__tar@
  481 am__untar = @am__untar@
  482 bindir = @bindir@
  483 build = @build@
  484 build_alias = @build_alias@
  485 build_cpu = @build_cpu@
  486 build_os = @build_os@
  487 build_vendor = @build_vendor@
  488 builddir = @builddir@
  489 datadir = @datadir@
  490 datarootdir = @datarootdir@
  491 docdir = @docdir@
  492 dvidir = @dvidir@
  493 exec_prefix = @exec_prefix@
  494 glade_catalogdir = @glade_catalogdir@
  495 glade_moduledir = @glade_moduledir@
  496 host = @host@
  497 host_alias = @host_alias@
  498 host_cpu = @host_cpu@
  499 host_os = @host_os@
  500 host_vendor = @host_vendor@
  501 htmldir = @htmldir@
  502 includedir = @includedir@
  503 infodir = @infodir@
  504 install_sh = @install_sh@
  505 libdir = @libdir@
  506 libexecdir = @libexecdir@
  507 localedir = @localedir@
  508 localstatedir = @localstatedir@
  509 mandir = @mandir@
  510 mkdir_p = @mkdir_p@
  511 oldincludedir = @oldincludedir@
  512 pdfdir = @pdfdir@
  513 prefix = @prefix@
  514 program_transform_name = @program_transform_name@
  515 psdir = @psdir@
  516 runstatedir = @runstatedir@
  517 sbindir = @sbindir@
  518 sharedstatedir = @sharedstatedir@
  519 srcdir = @srcdir@
  520 sysconfdir = @sysconfdir@
  521 target_alias = @target_alias@
  522 top_build_prefix = @top_build_prefix@
  523 top_builddir = @top_builddir@
  524 top_srcdir = @top_srcdir@
  525 
  526 # The name of the module, e.g. 'glib'.
  527 DOC_MODULE = gtkdatabox
  528 
  529 # Uncomment for versioned docs and specify the version of the module, e.g. '2'.
  530 DOC_MODULE_VERSION = 1
  531 
  532 # The top-level XML file.
  533 DOC_MAIN_SGML_FILE = $(DOC_MODULE)-docs.xml
  534 
  535 # Directories containing the source code.
  536 # gtk-doc will search all .c and .h files beneath these paths
  537 # for inline comments documenting functions and macros.
  538 # e.g. DOC_SOURCE_DIR=$(top_srcdir)/gtk $(top_srcdir)/gdk
  539 DOC_SOURCE_DIR = $(top_srcdir)/gtk
  540 
  541 # Extra options to pass to gtkdoc-scangobj. Normally not needed.
  542 SCANGOBJ_OPTIONS = 
  543 
  544 # Extra options to supply to gtkdoc-scan.
  545 # e.g. SCAN_OPTIONS=--deprecated-guards="GTK_DISABLE_DEPRECATED"
  546 SCAN_OPTIONS = 
  547 
  548 # Extra options to supply to gtkdoc-mkdb
  549 # e.g. MKDB_OPTIONS=--xml-mode --output-format=xml
  550 MKDB_OPTIONS = --xml-mode --output-format=xml
  551 
  552 # Extra options to supply to gtkdoc-mkhtml
  553 MKHTML_OPTIONS = 
  554 
  555 # Extra options to supply to gtkdoc-fixref. Normally not needed.
  556 # e.g. FIXXREF_OPTIONS=--extra-dir=../gdk-pixbuf/html --extra-dir=../gdk/html
  557 FIXXREF_OPTIONS = 
  558 
  559 # Used for dependencies. The docs will be rebuilt if any of these change.
  560 # e.g. HFILE_GLOB=$(top_srcdir)/gtk/*.h
  561 # e.g. CFILE_GLOB=$(top_srcdir)/gtk/*.c
  562 HFILE_GLOB = $(top_srcdir)/gtk/*.h
  563 CFILE_GLOB = $(top_srcdir)/gtk/*.c
  564 
  565 # Extra header to include when scanning, which are not under DOC_SOURCE_DIR
  566 # e.g. EXTRA_HFILES=$(top_srcdir}/contrib/extra.h
  567 EXTRA_HFILES = 
  568 
  569 # Header files or dirs to ignore when scanning. Use base file/dir names
  570 # e.g. IGNORE_HFILES=gtkdebug.h gtkintl.h private_code
  571 IGNORE_HFILES = gtkdatabox_marshal.h
  572 
  573 # Images to copy into HTML directory.
  574 # e.g. HTML_IMAGES=$(top_srcdir)/gtk/stock-icons/stock_about_24.png
  575 HTML_IMAGES = 
  576 
  577 # Extra files that are included by $(DOC_MAIN_SGML_FILE).
  578 # e.g. content_files=running.xml building.xml changes-2.0.xml
  579 content_files = 
  580 
  581 # Files where gtk-doc abbreviations (#GtkWidget) are expanded
  582 # e.g. expand_content_files=running.xml
  583 expand_content_files = 
  584 
  585 # CFLAGS and LDFLAGS for compiling gtkdoc-scangobj with your library.
  586 # Only needed if you are using gtkdoc-scangobj to dynamically query widget
  587 # signals and properties.
  588 # e.g. GTKDOC_CFLAGS=-I$(top_srcdir) -I$(top_builddir) $(GTK_DEBUG_FLAGS)
  589 # e.g. GTKDOC_LIBS=$(top_builddir)/gtk/$(gtktargetlib)
  590 GTKDOC_CFLAGS = -I$(top_srcdir) -I$(top_srcdir)/gtk -I$(top_builddir) @GTK_CFLAGS@
  591 GTKDOC_LIBS = $(top_builddir)/gtk/libgtkdatabox.la @GTK_LIBS@
  592 @GTK_DOC_USE_LIBTOOL_FALSE@GTKDOC_CC = $(CC) $(INCLUDES) $(GTKDOC_DEPS_CFLAGS) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
  593 @GTK_DOC_USE_LIBTOOL_TRUE@GTKDOC_CC = $(LIBTOOL) --tag=CC --mode=compile $(CC) $(INCLUDES) $(GTKDOC_DEPS_CFLAGS) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
  594 @GTK_DOC_USE_LIBTOOL_FALSE@GTKDOC_LD = $(CC) $(GTKDOC_DEPS_LIBS) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS)
  595 @GTK_DOC_USE_LIBTOOL_TRUE@GTKDOC_LD = $(LIBTOOL) --tag=CC --mode=link $(CC) $(GTKDOC_DEPS_LIBS) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS)
  596 @GTK_DOC_USE_LIBTOOL_FALSE@GTKDOC_RUN = 
  597 @GTK_DOC_USE_LIBTOOL_TRUE@GTKDOC_RUN = $(LIBTOOL) --mode=execute
  598 
  599 # We set GPATH here; this gives us semantics for GNU make
  600 # which are more like other make's VPATH, when it comes to
  601 # whether a source that is a target of one rule is then
  602 # searched for in VPATH/GPATH.
  603 #
  604 GPATH = $(srcdir)
  605 TARGET_DIR = $(HTML_DIR)/$(DOC_MODULE)
  606 SETUP_FILES = \
  607 	$(content_files)		\
  608 	$(expand_content_files)		\
  609 	$(DOC_MAIN_SGML_FILE)		\
  610 	$(DOC_MODULE)-sections.txt	\
  611 	$(DOC_MODULE)-overrides.txt
  612 
  613 EXTRA_DIST = \
  614 	$(HTML_IMAGES)			\
  615 	$(SETUP_FILES)
  616 
  617 DOC_STAMPS = setup-build.stamp scan-build.stamp sgml-build.stamp \
  618 	html-build.stamp pdf-build.stamp \
  619 	sgml.stamp html.stamp pdf.stamp
  620 
  621 SCANOBJ_FILES = \
  622 	$(DOC_MODULE).args 	 \
  623 	$(DOC_MODULE).hierarchy  \
  624 	$(DOC_MODULE).interfaces \
  625 	$(DOC_MODULE).prerequisites \
  626 	$(DOC_MODULE).signals
  627 
  628 REPORT_FILES = \
  629 	$(DOC_MODULE)-undocumented.txt \
  630 	$(DOC_MODULE)-undeclared.txt \
  631 	$(DOC_MODULE)-unused.txt
  632 
  633 CLEANFILES = $(SCANOBJ_FILES) $(REPORT_FILES) $(DOC_STAMPS) gtkdoc-check.test
  634 @GTK_DOC_BUILD_HTML_FALSE@HTML_BUILD_STAMP = 
  635 @GTK_DOC_BUILD_HTML_TRUE@HTML_BUILD_STAMP = html-build.stamp
  636 @GTK_DOC_BUILD_PDF_FALSE@PDF_BUILD_STAMP = 
  637 @GTK_DOC_BUILD_PDF_TRUE@PDF_BUILD_STAMP = pdf-build.stamp
  638 
  639 #### setup ####
  640 GTK_DOC_V_SETUP = $(GTK_DOC_V_SETUP_@AM_V@)
  641 GTK_DOC_V_SETUP_ = $(GTK_DOC_V_SETUP_@AM_DEFAULT_V@)
  642 GTK_DOC_V_SETUP_0 = @echo "  DOC   Preparing build";
  643 
  644 #### scan ####
  645 GTK_DOC_V_SCAN = $(GTK_DOC_V_SCAN_@AM_V@)
  646 GTK_DOC_V_SCAN_ = $(GTK_DOC_V_SCAN_@AM_DEFAULT_V@)
  647 GTK_DOC_V_SCAN_0 = @echo "  DOC   Scanning header files";
  648 GTK_DOC_V_INTROSPECT = $(GTK_DOC_V_INTROSPECT_@AM_V@)
  649 GTK_DOC_V_INTROSPECT_ = $(GTK_DOC_V_INTROSPECT_@AM_DEFAULT_V@)
  650 GTK_DOC_V_INTROSPECT_0 = @echo "  DOC   Introspecting gobjects";
  651 
  652 #### xml ####
  653 GTK_DOC_V_XML = $(GTK_DOC_V_XML_@AM_V@)
  654 GTK_DOC_V_XML_ = $(GTK_DOC_V_XML_@AM_DEFAULT_V@)
  655 GTK_DOC_V_XML_0 = @echo "  DOC   Building XML";
  656 
  657 #### html ####
  658 GTK_DOC_V_HTML = $(GTK_DOC_V_HTML_@AM_V@)
  659 GTK_DOC_V_HTML_ = $(GTK_DOC_V_HTML_@AM_DEFAULT_V@)
  660 GTK_DOC_V_HTML_0 = @echo "  DOC   Building HTML";
  661 GTK_DOC_V_XREF = $(GTK_DOC_V_XREF_@AM_V@)
  662 GTK_DOC_V_XREF_ = $(GTK_DOC_V_XREF_@AM_DEFAULT_V@)
  663 GTK_DOC_V_XREF_0 = @echo "  DOC   Fixing cross-references";
  664 
  665 #### pdf ####
  666 GTK_DOC_V_PDF = $(GTK_DOC_V_PDF_@AM_V@)
  667 GTK_DOC_V_PDF_ = $(GTK_DOC_V_PDF_@AM_DEFAULT_V@)
  668 GTK_DOC_V_PDF_0 = @echo "  DOC   Building PDF";
  669 
  670 # This includes the standard gtk-doc make rules, copied by gtkdocize.
  671 
  672 # Comment this out if you don't want 'make check' to test you doc status
  673 # and run some sanity checks
  674 @ENABLE_GTK_DOC_TRUE@TESTS_ENVIRONMENT = \
  675 @ENABLE_GTK_DOC_TRUE@  DOC_MODULE=$(DOC_MODULE) DOC_MAIN_SGML_FILE=$(DOC_MAIN_SGML_FILE) \
  676 @ENABLE_GTK_DOC_TRUE@  SRCDIR=$(abs_srcdir) BUILDDIR=$(abs_builddir)
  677 
  678 @ENABLE_GTK_DOC_TRUE@TESTS = $(GTKDOC_CHECK)
  679 all: all-am
  680 
  681 .SUFFIXES:
  682 .SUFFIXES: .log .test .test$(EXEEXT) .trs
  683 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am $(top_srcdir)/gtk-doc.make $(am__configure_deps)
  684 	@for dep in $?; do \
  685 	  case '$(am__configure_deps)' in \
  686 	    *$$dep*) \
  687 	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
  688 	        && { if test -f $@; then exit 0; else break; fi; }; \
  689 	      exit 1;; \
  690 	  esac; \
  691 	done; \
  692 	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu doc/Makefile'; \
  693 	$(am__cd) $(top_srcdir) && \
  694 	  $(AUTOMAKE) --gnu doc/Makefile
  695 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
  696 	@case '$?' in \
  697 	  *config.status*) \
  698 	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
  699 	  *) \
  700 	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
  701 	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
  702 	esac;
  703 $(top_srcdir)/gtk-doc.make $(am__empty):
  704 
  705 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
  706 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  707 
  708 $(top_srcdir)/configure:  $(am__configure_deps)
  709 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  710 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
  711 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  712 $(am__aclocal_m4_deps):
  713 
  714 mostlyclean-libtool:
  715 	-rm -f *.lo
  716 
  717 clean-libtool:
  718 	-rm -rf .libs _libs
  719 tags TAGS:
  720 
  721 ctags CTAGS:
  722 
  723 cscope cscopelist:
  724 
  725 
  726 # Recover from deleted '.trs' file; this should ensure that
  727 # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
  728 # both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
  729 # to avoid problems with "make -n".
  730 .log.trs:
  731 	rm -f $< $@
  732 	$(MAKE) $(AM_MAKEFLAGS) $<
  733 
  734 # Leading 'am--fnord' is there to ensure the list of targets does not
  735 # expand to empty, as could happen e.g. with make check TESTS=''.
  736 am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
  737 am--force-recheck:
  738 	@:
  739 
  740 $(TEST_SUITE_LOG): $(TEST_LOGS)
  741 	@$(am__set_TESTS_bases); \
  742 	am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
  743 	redo_bases=`for i in $$bases; do \
  744 	              am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
  745 	            done`; \
  746 	if test -n "$$redo_bases"; then \
  747 	  redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
  748 	  redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
  749 	  if $(am__make_dryrun); then :; else \
  750 	    rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
  751 	  fi; \
  752 	fi; \
  753 	if test -n "$$am__remaking_logs"; then \
  754 	  echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
  755 	       "recursion detected" >&2; \
  756 	elif test -n "$$redo_logs"; then \
  757 	  am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
  758 	fi; \
  759 	if $(am__make_dryrun); then :; else \
  760 	  st=0;  \
  761 	  errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
  762 	  for i in $$redo_bases; do \
  763 	    test -f $$i.trs && test -r $$i.trs \
  764 	      || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
  765 	    test -f $$i.log && test -r $$i.log \
  766 	      || { echo "$$errmsg $$i.log" >&2; st=1; }; \
  767 	  done; \
  768 	  test $$st -eq 0 || exit 1; \
  769 	fi
  770 	@$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
  771 	ws='[ 	]'; \
  772 	results=`for b in $$bases; do echo $$b.trs; done`; \
  773 	test -n "$$results" || results=/dev/null; \
  774 	all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
  775 	pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
  776 	fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
  777 	skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
  778 	xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
  779 	xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
  780 	error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
  781 	if test `expr $$fail + $$xpass + $$error` -eq 0; then \
  782 	  success=true; \
  783 	else \
  784 	  success=false; \
  785 	fi; \
  786 	br='==================='; br=$$br$$br$$br$$br; \
  787 	result_count () \
  788 	{ \
  789 	    if test x"$$1" = x"--maybe-color"; then \
  790 	      maybe_colorize=yes; \
  791 	    elif test x"$$1" = x"--no-color"; then \
  792 	      maybe_colorize=no; \
  793 	    else \
  794 	      echo "$@: invalid 'result_count' usage" >&2; exit 4; \
  795 	    fi; \
  796 	    shift; \
  797 	    desc=$$1 count=$$2; \
  798 	    if test $$maybe_colorize = yes && test $$count -gt 0; then \
  799 	      color_start=$$3 color_end=$$std; \
  800 	    else \
  801 	      color_start= color_end=; \
  802 	    fi; \
  803 	    echo "$${color_start}# $$desc $$count$${color_end}"; \
  804 	}; \
  805 	create_testsuite_report () \
  806 	{ \
  807 	  result_count $$1 "TOTAL:" $$all   "$$brg"; \
  808 	  result_count $$1 "PASS: " $$pass  "$$grn"; \
  809 	  result_count $$1 "SKIP: " $$skip  "$$blu"; \
  810 	  result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
  811 	  result_count $$1 "FAIL: " $$fail  "$$red"; \
  812 	  result_count $$1 "XPASS:" $$xpass "$$red"; \
  813 	  result_count $$1 "ERROR:" $$error "$$mgn"; \
  814 	}; \
  815 	{								\
  816 	  echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |	\
  817 	    $(am__rst_title);						\
  818 	  create_testsuite_report --no-color;				\
  819 	  echo;								\
  820 	  echo ".. contents:: :depth: 2";				\
  821 	  echo;								\
  822 	  for b in $$bases; do echo $$b; done				\
  823 	    | $(am__create_global_log);					\
  824 	} >$(TEST_SUITE_LOG).tmp || exit 1;				\
  825 	mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);			\
  826 	if $$success; then						\
  827 	  col="$$grn";							\
  828 	 else								\
  829 	  col="$$red";							\
  830 	  test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);		\
  831 	fi;								\
  832 	echo "$${col}$$br$${std}"; 					\
  833 	echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";	\
  834 	echo "$${col}$$br$${std}"; 					\
  835 	create_testsuite_report --maybe-color;				\
  836 	echo "$$col$$br$$std";						\
  837 	if $$success; then :; else					\
  838 	  echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";		\
  839 	  if test -n "$(PACKAGE_BUGREPORT)"; then			\
  840 	    echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}";	\
  841 	  fi;								\
  842 	  echo "$$col$$br$$std";					\
  843 	fi;								\
  844 	$$success || exit 1
  845 
  846 check-TESTS: 
  847 	@list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
  848 	@list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
  849 	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
  850 	@set +e; $(am__set_TESTS_bases); \
  851 	log_list=`for i in $$bases; do echo $$i.log; done`; \
  852 	trs_list=`for i in $$bases; do echo $$i.trs; done`; \
  853 	log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
  854 	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
  855 	exit $$?;
  856 recheck: all 
  857 	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
  858 	@set +e; $(am__set_TESTS_bases); \
  859 	bases=`for i in $$bases; do echo $$i; done \
  860 	         | $(am__list_recheck_tests)` || exit 1; \
  861 	log_list=`for i in $$bases; do echo $$i.log; done`; \
  862 	log_list=`echo $$log_list`; \
  863 	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
  864 	        am__force_recheck=am--force-recheck \
  865 	        TEST_LOGS="$$log_list"; \
  866 	exit $$?
  867 .test.log:
  868 	@p='$<'; \
  869 	$(am__set_b); \
  870 	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
  871 	--log-file $$b.log --trs-file $$b.trs \
  872 	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
  873 	"$$tst" $(AM_TESTS_FD_REDIRECT)
  874 @am__EXEEXT_TRUE@.test$(EXEEXT).log:
  875 @am__EXEEXT_TRUE@	@p='$<'; \
  876 @am__EXEEXT_TRUE@	$(am__set_b); \
  877 @am__EXEEXT_TRUE@	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
  878 @am__EXEEXT_TRUE@	--log-file $$b.log --trs-file $$b.trs \
  879 @am__EXEEXT_TRUE@	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
  880 @am__EXEEXT_TRUE@	"$$tst" $(AM_TESTS_FD_REDIRECT)
  881 
  882 distdir: $(BUILT_SOURCES)
  883 	$(MAKE) $(AM_MAKEFLAGS) distdir-am
  884 
  885 distdir-am: $(DISTFILES)
  886 	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  887 	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  888 	list='$(DISTFILES)'; \
  889 	  dist_files=`for file in $$list; do echo $$file; done | \
  890 	  sed -e "s|^$$srcdirstrip/||;t" \
  891 	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
  892 	case $$dist_files in \
  893 	  */*) $(MKDIR_P) `echo "$$dist_files" | \
  894 			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
  895 			   sort -u` ;; \
  896 	esac; \
  897 	for file in $$dist_files; do \
  898 	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
  899 	  if test -d $$d/$$file; then \
  900 	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
  901 	    if test -d "$(distdir)/$$file"; then \
  902 	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  903 	    fi; \
  904 	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  905 	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
  906 	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  907 	    fi; \
  908 	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
  909 	  else \
  910 	    test -f "$(distdir)/$$file" \
  911 	    || cp -p $$d/$$file "$(distdir)/$$file" \
  912 	    || exit 1; \
  913 	  fi; \
  914 	done
  915 	$(MAKE) $(AM_MAKEFLAGS) \
  916 	  top_distdir="$(top_distdir)" distdir="$(distdir)" \
  917 	  dist-hook
  918 check-am: all-am
  919 	$(MAKE) $(AM_MAKEFLAGS) check-TESTS
  920 check: check-am
  921 @ENABLE_GTK_DOC_FALSE@all-local:
  922 all-am: Makefile all-local
  923 installdirs:
  924 install: install-am
  925 install-exec: install-exec-am
  926 install-data: install-data-am
  927 uninstall: uninstall-am
  928 
  929 install-am: all-am
  930 	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
  931 
  932 installcheck: installcheck-am
  933 install-strip:
  934 	if test -z '$(STRIP)'; then \
  935 	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  936 	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  937 	      install; \
  938 	else \
  939 	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  940 	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  941 	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
  942 	fi
  943 mostlyclean-generic:
  944 	-test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
  945 	-test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
  946 	-test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
  947 
  948 clean-generic:
  949 	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
  950 
  951 distclean-generic:
  952 	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
  953 	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
  954 
  955 maintainer-clean-generic:
  956 	@echo "This command is intended for maintainers to use"
  957 	@echo "it deletes files that may require special tools to rebuild."
  958 clean: clean-am
  959 
  960 clean-am: clean-generic clean-libtool clean-local mostlyclean-am
  961 
  962 distclean: distclean-am
  963 	-rm -f Makefile
  964 distclean-am: clean-am distclean-generic distclean-local
  965 
  966 dvi: dvi-am
  967 
  968 dvi-am:
  969 
  970 html: html-am
  971 
  972 html-am:
  973 
  974 info: info-am
  975 
  976 info-am:
  977 
  978 install-data-am: install-data-local
  979 
  980 install-dvi: install-dvi-am
  981 
  982 install-dvi-am:
  983 
  984 install-exec-am:
  985 
  986 install-html: install-html-am
  987 
  988 install-html-am:
  989 
  990 install-info: install-info-am
  991 
  992 install-info-am:
  993 
  994 install-man:
  995 
  996 install-pdf: install-pdf-am
  997 
  998 install-pdf-am:
  999 
 1000 install-ps: install-ps-am
 1001 
 1002 install-ps-am:
 1003 
 1004 installcheck-am:
 1005 
 1006 maintainer-clean: maintainer-clean-am
 1007 	-rm -f Makefile
 1008 maintainer-clean-am: distclean-am maintainer-clean-generic \
 1009 	maintainer-clean-local
 1010 
 1011 mostlyclean: mostlyclean-am
 1012 
 1013 mostlyclean-am: mostlyclean-generic mostlyclean-libtool
 1014 
 1015 pdf: pdf-am
 1016 
 1017 pdf-am:
 1018 
 1019 ps: ps-am
 1020 
 1021 ps-am:
 1022 
 1023 uninstall-am: uninstall-local
 1024 
 1025 .MAKE: check-am install-am install-strip
 1026 
 1027 .PHONY: all all-am all-local check check-TESTS check-am clean \
 1028 	clean-generic clean-libtool clean-local cscopelist-am ctags-am \
 1029 	dist-hook distclean distclean-generic distclean-libtool \
 1030 	distclean-local distdir dvi dvi-am html html-am info info-am \
 1031 	install install-am install-data install-data-am \
 1032 	install-data-local install-dvi install-dvi-am install-exec \
 1033 	install-exec-am install-html install-html-am install-info \
 1034 	install-info-am install-man install-pdf install-pdf-am \
 1035 	install-ps install-ps-am install-strip installcheck \
 1036 	installcheck-am installdirs maintainer-clean \
 1037 	maintainer-clean-generic maintainer-clean-local mostlyclean \
 1038 	mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
 1039 	recheck tags-am uninstall uninstall-am uninstall-local
 1040 
 1041 .PRECIOUS: Makefile
 1042 
 1043 
 1044 gtkdoc-check.test: Makefile
 1045 	$(AM_V_GEN)echo "#!/bin/sh -e" > $@; \
 1046 		echo "$(GTKDOC_CHECK_PATH) || exit 1" >> $@; \
 1047 		chmod +x $@
 1048 
 1049 all-gtk-doc: $(HTML_BUILD_STAMP) $(PDF_BUILD_STAMP)
 1050 .PHONY: all-gtk-doc
 1051 
 1052 @ENABLE_GTK_DOC_TRUE@all-local: all-gtk-doc
 1053 
 1054 docs: $(HTML_BUILD_STAMP) $(PDF_BUILD_STAMP)
 1055 
 1056 $(REPORT_FILES): sgml-build.stamp
 1057 
 1058 setup-build.stamp:
 1059 	-$(GTK_DOC_V_SETUP)if test "$(abs_srcdir)" != "$(abs_builddir)" ; then \
 1060 	  files=`echo $(SETUP_FILES) $(DOC_MODULE).types`; \
 1061 	  if test "x$$files" != "x" ; then \
 1062 	    for file in $$files ; do \
 1063 	      destdir=`dirname $(abs_builddir)/$$file`; \
 1064 	      test -d "$$destdir" || mkdir -p "$$destdir"; \
 1065 	      test -f $(abs_srcdir)/$$file && \
 1066 	        cp -pf $(abs_srcdir)/$$file $(abs_builddir)/$$file || true; \
 1067 	    done; \
 1068 	  fi; \
 1069 	fi
 1070 	$(AM_V_at)touch setup-build.stamp
 1071 
 1072 scan-build.stamp: setup-build.stamp $(HFILE_GLOB) $(CFILE_GLOB)
 1073 	$(GTK_DOC_V_SCAN)_source_dir='' ; \
 1074 	for i in $(DOC_SOURCE_DIR) ; do \
 1075 	  _source_dir="$${_source_dir} --source-dir=$$i" ; \
 1076 	done ; \
 1077 	gtkdoc-scan --module=$(DOC_MODULE) --ignore-headers="$(IGNORE_HFILES)" $${_source_dir} $(SCAN_OPTIONS) $(EXTRA_HFILES)
 1078 	$(GTK_DOC_V_INTROSPECT)if grep -l '^..*$$' $(DOC_MODULE).types > /dev/null 2>&1 ; then \
 1079 	  scanobj_options=""; \
 1080 	  gtkdoc-scangobj 2>&1 --help | grep  >/dev/null "\-\-verbose"; \
 1081 	  if test "$$?" = "0"; then \
 1082 	    if test "x$(V)" = "x1"; then \
 1083 	      scanobj_options="--verbose"; \
 1084 	    fi; \
 1085 	  fi; \
 1086 	  CC="$(GTKDOC_CC)" LD="$(GTKDOC_LD)" RUN="$(GTKDOC_RUN)" CFLAGS="$(GTKDOC_CFLAGS) $(CFLAGS)" LDFLAGS="$(GTKDOC_LIBS) $(LDFLAGS)" \
 1087 	  gtkdoc-scangobj $(SCANGOBJ_OPTIONS) $$scanobj_options --module=$(DOC_MODULE); \
 1088 	else \
 1089 	  for i in $(SCANOBJ_FILES) ; do \
 1090 	    test -f $$i || touch $$i ; \
 1091 	  done \
 1092 	fi
 1093 	$(AM_V_at)touch scan-build.stamp
 1094 
 1095 $(DOC_MODULE)-decl.txt $(SCANOBJ_FILES) $(DOC_MODULE)-sections.txt $(DOC_MODULE)-overrides.txt: scan-build.stamp
 1096 	@true
 1097 
 1098 sgml-build.stamp: setup-build.stamp $(DOC_MODULE)-decl.txt $(SCANOBJ_FILES) $(HFILE_GLOB) $(CFILE_GLOB) $(DOC_MODULE)-sections.txt $(DOC_MODULE)-overrides.txt $(expand_content_files) xml/gtkdocentities.ent
 1099 	$(GTK_DOC_V_XML)_source_dir='' ; \
 1100 	for i in $(DOC_SOURCE_DIR) ; do \
 1101 	  _source_dir="$${_source_dir} --source-dir=$$i" ; \
 1102 	done ; \
 1103 	gtkdoc-mkdb --module=$(DOC_MODULE) --output-format=xml --expand-content-files="$(expand_content_files)" --main-sgml-file=$(DOC_MAIN_SGML_FILE) $${_source_dir} $(MKDB_OPTIONS)
 1104 	$(AM_V_at)touch sgml-build.stamp
 1105 
 1106 sgml.stamp: sgml-build.stamp
 1107 	@true
 1108 
 1109 $(DOC_MAIN_SGML_FILE): sgml-build.stamp
 1110 	@true
 1111 
 1112 xml/gtkdocentities.ent: Makefile
 1113 	$(GTK_DOC_V_XML)$(MKDIR_P) $(@D) && ( \
 1114 		echo "<!ENTITY package \"$(PACKAGE)\">"; \
 1115 		echo "<!ENTITY package_bugreport \"$(PACKAGE_BUGREPORT)\">"; \
 1116 		echo "<!ENTITY package_name \"$(PACKAGE_NAME)\">"; \
 1117 		echo "<!ENTITY package_string \"$(PACKAGE_STRING)\">"; \
 1118 		echo "<!ENTITY package_tarname \"$(PACKAGE_TARNAME)\">"; \
 1119 		echo "<!ENTITY package_url \"$(PACKAGE_URL)\">"; \
 1120 		echo "<!ENTITY package_version \"$(PACKAGE_VERSION)\">"; \
 1121 	) > $@
 1122 
 1123 html-build.stamp: sgml.stamp $(DOC_MAIN_SGML_FILE) $(content_files) $(expand_content_files)
 1124 	$(GTK_DOC_V_HTML)rm -rf html && mkdir html && \
 1125 	mkhtml_options=""; \
 1126 	gtkdoc-mkhtml 2>&1 --help | grep  >/dev/null "\-\-verbose"; \
 1127 	if test "$$?" = "0"; then \
 1128 	  if test "x$(V)" = "x1"; then \
 1129 	    mkhtml_options="$$mkhtml_options --verbose"; \
 1130 	  fi; \
 1131 	fi; \
 1132 	gtkdoc-mkhtml 2>&1 --help | grep  >/dev/null "\-\-path"; \
 1133 	if test "$$?" = "0"; then \
 1134 	  mkhtml_options="$$mkhtml_options --path=\"$(abs_srcdir)\""; \
 1135 	fi; \
 1136 	cd html && gtkdoc-mkhtml $$mkhtml_options $(MKHTML_OPTIONS) $(DOC_MODULE) ../$(DOC_MAIN_SGML_FILE)
 1137 	-@test "x$(HTML_IMAGES)" = "x" || \
 1138 	for file in $(HTML_IMAGES) ; do \
 1139 	  test -f $(abs_srcdir)/$$file && cp $(abs_srcdir)/$$file $(abs_builddir)/html; \
 1140 	  test -f $(abs_builddir)/$$file && cp $(abs_builddir)/$$file $(abs_builddir)/html; \
 1141 	  test -f $$file && cp $$file $(abs_builddir)/html; \
 1142 	done;
 1143 	$(GTK_DOC_V_XREF)gtkdoc-fixxref --module=$(DOC_MODULE) --module-dir=html --html-dir=$(HTML_DIR) $(FIXXREF_OPTIONS)
 1144 	$(AM_V_at)touch html-build.stamp
 1145 
 1146 pdf-build.stamp: sgml.stamp $(DOC_MAIN_SGML_FILE) $(content_files) $(expand_content_files)
 1147 	$(GTK_DOC_V_PDF)rm -f $(DOC_MODULE).pdf && \
 1148 	mkpdf_options=""; \
 1149 	gtkdoc-mkpdf 2>&1 --help | grep  >/dev/null "\-\-verbose"; \
 1150 	if test "$$?" = "0"; then \
 1151 	  if test "x$(V)" = "x1"; then \
 1152 	    mkpdf_options="$$mkpdf_options --verbose"; \
 1153 	  fi; \
 1154 	fi; \
 1155 	if test "x$(HTML_IMAGES)" != "x"; then \
 1156 	  for img in $(HTML_IMAGES); do \
 1157 	    part=`dirname $$img`; \
 1158 	    echo $$mkpdf_options | grep >/dev/null "\-\-imgdir=$$part "; \
 1159 	    if test $$? != 0; then \
 1160 	      mkpdf_options="$$mkpdf_options --imgdir=$$part"; \
 1161 	    fi; \
 1162 	  done; \
 1163 	fi; \
 1164 	gtkdoc-mkpdf --path="$(abs_srcdir)" $$mkpdf_options $(DOC_MODULE) $(DOC_MAIN_SGML_FILE) $(MKPDF_OPTIONS)
 1165 	$(AM_V_at)touch pdf-build.stamp
 1166 
 1167 ##############
 1168 
 1169 clean-local:
 1170 	@rm -f *~ *.bak
 1171 	@rm -rf .libs
 1172 	@if echo $(SCAN_OPTIONS) | grep -q "\-\-rebuild-types" ; then \
 1173 	  rm -f $(DOC_MODULE).types; \
 1174 	fi
 1175 	@if echo $(SCAN_OPTIONS) | grep -q "\-\-rebuild-sections" ; then \
 1176 	  rm -f $(DOC_MODULE)-sections.txt; \
 1177 	fi
 1178 
 1179 distclean-local:
 1180 	@rm -rf xml html $(REPORT_FILES) $(DOC_MODULE).pdf \
 1181 	    $(DOC_MODULE)-decl-list.txt $(DOC_MODULE)-decl.txt
 1182 	@if test "$(abs_srcdir)" != "$(abs_builddir)" ; then \
 1183 	    rm -f $(SETUP_FILES) $(DOC_MODULE).types; \
 1184 	fi
 1185 
 1186 maintainer-clean-local:
 1187 	@rm -rf xml html
 1188 
 1189 install-data-local:
 1190 	@installfiles=`echo $(builddir)/html/*`; \
 1191 	if test "$$installfiles" = '$(builddir)/html/*'; \
 1192 	then echo 1>&2 'Nothing to install' ; \
 1193 	else \
 1194 	  if test -n "$(DOC_MODULE_VERSION)"; then \
 1195 	    installdir="$(DESTDIR)$(TARGET_DIR)-$(DOC_MODULE_VERSION)"; \
 1196 	  else \
 1197 	    installdir="$(DESTDIR)$(TARGET_DIR)"; \
 1198 	  fi; \
 1199 	  $(mkinstalldirs) $${installdir} ; \
 1200 	  for i in $$installfiles; do \
 1201 	    echo ' $(INSTALL_DATA) '$$i ; \
 1202 	    $(INSTALL_DATA) $$i $${installdir}; \
 1203 	  done; \
 1204 	  if test -n "$(DOC_MODULE_VERSION)"; then \
 1205 	    mv -f $${installdir}/$(DOC_MODULE).devhelp2 \
 1206 	      $${installdir}/$(DOC_MODULE)-$(DOC_MODULE_VERSION).devhelp2; \
 1207 	  fi; \
 1208 	  $(GTKDOC_REBASE) --relative --dest-dir=$(DESTDIR) --html-dir=$${installdir}; \
 1209 	fi
 1210 
 1211 uninstall-local:
 1212 	@if test -n "$(DOC_MODULE_VERSION)"; then \
 1213 	  installdir="$(DESTDIR)$(TARGET_DIR)-$(DOC_MODULE_VERSION)"; \
 1214 	else \
 1215 	  installdir="$(DESTDIR)$(TARGET_DIR)"; \
 1216 	fi; \
 1217 	rm -rf $${installdir}
 1218 
 1219 #
 1220 # Require gtk-doc when making dist
 1221 #
 1222 @HAVE_GTK_DOC_TRUE@dist-check-gtkdoc: docs
 1223 @HAVE_GTK_DOC_FALSE@dist-check-gtkdoc:
 1224 @HAVE_GTK_DOC_FALSE@	@echo "*** gtk-doc is needed to run 'make dist'.         ***"
 1225 @HAVE_GTK_DOC_FALSE@	@echo "*** gtk-doc was not found when 'configure' ran.   ***"
 1226 @HAVE_GTK_DOC_FALSE@	@echo "*** please install gtk-doc and rerun 'configure'. ***"
 1227 @HAVE_GTK_DOC_FALSE@	@false
 1228 
 1229 dist-hook: dist-check-gtkdoc all-gtk-doc dist-hook-local
 1230 	@mkdir $(distdir)/html
 1231 	@cp ./html/* $(distdir)/html
 1232 	@-cp ./$(DOC_MODULE).pdf $(distdir)/
 1233 	@-cp ./$(DOC_MODULE).types $(distdir)/
 1234 	@-cp ./$(DOC_MODULE)-sections.txt $(distdir)/
 1235 	@cd $(distdir) && rm -f $(DISTCLEANFILES)
 1236 	@$(GTKDOC_REBASE) --online --relative --html-dir=$(distdir)/html
 1237 
 1238 .PHONY : dist-hook-local docs
 1239 
 1240 -include $(top_srcdir)/git.mk
 1241 
 1242 # Tell versions [3.59,3.63) of GNU make to not export all variables.
 1243 # Otherwise a system limit (for SysV at least) may be exceeded.
 1244 .NOEXPORT: